> ## Documentation Index
> Fetch the complete documentation index at: https://docs.satsuma.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Payment Methods

> List all payment methods for the organization and merchant



## OpenAPI

````yaml api-reference/openapi.json get /payment-method
openapi: 3.1.0
info:
  title: Satsuma API
  description: API specification for Satsuma AI commerce platform
  contact:
    name: Satsuma Support
    url: https://satsuma.ai
    email: support@satsuma.ai
  version: 1.0.0
servers:
  - url: https://api.satsuma.ai
    description: Production
security:
  - apiKeyAuth: []
paths:
  /payment-method:
    get:
      tags:
        - Payment Method
      summary: List Payment Methods
      description: List all payment methods for the organization and merchant
      operationId: listPaymentMethods
      parameters:
        - name: merchant_id
          in: query
          description: Merchant identifier
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseListPaymentMethodResponse'
components:
  schemas:
    ResponseListPaymentMethodResponse:
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/PaymentMethodResponse'
        messages:
          uniqueItems: true
          type: array
          items:
            $ref: '#/components/schemas/Message'
    PaymentMethodResponse:
      properties:
        id:
          type: string
          description: Payment method identifier
        type:
          type: string
          description: Payment method type
        card:
          $ref: '#/components/schemas/CardResponse'
      description: Payment method response data
    Message:
      properties:
        context:
          type: string
        level:
          type: string
          enum:
            - Information
            - Warning
            - Error
        text:
          type: string
        data:
          type: object
          additionalProperties: true
    CardResponse:
      properties:
        brand:
          type: string
          description: Card brand
        last4:
          type: string
          description: Last 4 digits of card
        exp_month:
          type: integer
          description: Card expiration month
          format: int32
        exp_year:
          type: integer
          description: Card expiration year
          format: int32
      description: Card details response data
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: API Key authentication
      name: Authorization
      in: header

````